*** gcc-2.6.3/Makefile.in	Fri Dec  2 16:03:09 1994
--- g77-2.6.3-0.5.14/Makefile.in	Wed Apr 12 10:17:28 1995
*************** c-common.o : c-common.c $(CONFIG_H) $(TR
*** 1010,1014 ****
  # Language-independent files.
  
! gcc.o: gcc.c $(CONFIG_H) multilib.h config.status
  	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
    -DSTANDARD_STARTFILE_PREFIX=\"$(libdir)/\" \
--- 1010,1014 ----
  # Language-independent files.
  
! gcc.o: gcc.c $(CONFIG_H) multilib.h config.status f/compilers.h
  	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
    -DSTANDARD_STARTFILE_PREFIX=\"$(libdir)/\" \
*************** stor-layout.o : stor-layout.c $(CONFIG_H
*** 1032,1036 ****
  fold-const.o : fold-const.c $(CONFIG_H) $(TREE_H) flags.h 
  toplev.o : toplev.c $(CONFIG_H) $(TREE_H) $(RTL_H) flags.h input.h \
!    insn-attr.h xcoffout.h defaults.h
  	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
  	  $(MAYBE_TARGET_DEFAULT) $(MAYBE_USE_COLLECT2) \
--- 1032,1036 ----
  fold-const.o : fold-const.c $(CONFIG_H) $(TREE_H) flags.h 
  toplev.o : toplev.c $(CONFIG_H) $(TREE_H) $(RTL_H) flags.h input.h \
!    insn-attr.h xcoffout.h defaults.h f/options-lang.h
  	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) $(INCLUDES) \
  	  $(MAYBE_TARGET_DEFAULT) $(MAYBE_USE_COLLECT2) \
*** gcc-2.6.3/fold-const.c	Fri Dec  2 16:03:43 1994
--- g77-2.6.3-0.5.14/fold-const.c	Tue Feb 21 14:18:46 1995
*************** eval_subst (arg, old0, new0, old1, new1)
*** 1938,1943 ****
--- 1938,1948 ----
        switch (code)
  	{
+   /* ??? Disable this since the SAVE_EXPR might already be in use outside
+      the expression.  There may be no way to make this work, but it needs
+      to be looked at again for 2.6.  */
+ #if 0
  	case SAVE_EXPR:
  	  return eval_subst (TREE_OPERAND (arg, 0), old0, new0, old1, new1);
+ #endif
  
  	case COMPOUND_EXPR:
*************** fold (expr) 
*** 3953,3958 ****
--- 3958,3968 ----
  	  tree xarg0 = arg0;
  
+   /* ??? Disable this since the SAVE_EXPR might already be in use outside
+      the expression.  There may be no way to make this work, but it needs
+      to be looked at again for 2.6.  */
+ #if 0
  	  if (TREE_CODE (xarg0) == SAVE_EXPR)
  	    have_save_expr = 1, xarg0 = TREE_OPERAND (xarg0, 0);
+ #endif
  
  	  STRIP_NOPS (xarg0);
*************** fold (expr) 
*** 3971,3976 ****
--- 3981,3991 ----
  	    }
  
+   /* ??? Disable this since the SAVE_EXPR might already be in use outside
+      the expression.  There may be no way to make this work, but it needs
+      to be looked at again for 2.6.  */
+ #if 0
  	  if (TREE_CODE (xarg0) == SAVE_EXPR)
  	    have_save_expr = 1, xarg0 = TREE_OPERAND (xarg0, 0);
+ #endif
  
  	  STRIP_NOPS (xarg0);
*** gcc-2.6.3/gcc.c	Mon Nov  7 11:01:43 1994
--- g77-2.6.3-0.5.14/gcc.c	Wed Apr 12 10:12:31 1995
*************** static int n_compilers;
*** 565,568 ****
--- 565,569 ----
  static struct compiler default_compilers[] =
  {
+ #include "f/compilers.h"
    {".c", "@c"},
    {"@c",
*** gcc-2.6.3/stor-layout.c	Thu Oct 20 09:41:02 1994
--- g77-2.6.3-0.5.14/stor-layout.c	Tue Feb 21 14:18:46 1995
*************** get_pending_sizes ()
*** 80,83 ****
--- 80,93 ----
  }
  
+ void
+ put_pending_sizes (chain)
+      tree chain;
+ {
+   if (pending_sizes)
+     abort ();
+ 
+   pending_sizes = chain;
+ }
+ 
  /* Given a size SIZE that isn't constant, return a SAVE_EXPR
     to serve as the actual size-expression for a type or decl.  */
*** gcc-2.6.3/toplev.c	Tue Oct 25 16:09:12 1994
--- g77-2.6.3-0.5.14/toplev.c	Fri Mar 24 20:50:26 1995
*************** char *lang_options[] =
*** 725,728 ****
--- 725,731 ----
    "-Wno-protocol",
  
+   /* THESE ARE FOR FORTRAN. */
+ #include "f/options-lang.h"
+ 
    /* This is for GNAT and is temporary.  */
    "-gnat",
*** gcc-2.6.3/tree.c	Fri Dec  2 16:03:49 1994
--- g77-2.6.3-0.5.14/tree.c	Tue Feb 21 14:18:47 1995
*************** save_expr (expr)
*** 1984,1988 ****
  
    if (TREE_CONSTANT (t) || (TREE_READONLY (t) && ! TREE_SIDE_EFFECTS (t))
!       || TREE_CODE (t) == SAVE_EXPR)
      return t;
  
--- 1984,1988 ----
  
    if (TREE_CONSTANT (t) || (TREE_READONLY (t) && ! TREE_SIDE_EFFECTS (t))
!       || TREE_CODE (t) == SAVE_EXPR || TREE_CODE (t) == ERROR_MARK)
      return t;
  
*** gcc-2.6.3/tree.h	Thu Sep  8 14:25:41 1994
--- g77-2.6.3-0.5.14/tree.h	Tue Feb 21 14:18:48 1995
*************** extern tree size_int			PROTO((unsigned))
*** 1245,1248 ****
--- 1245,1249 ----
  extern tree round_up			PROTO((tree, int));
  extern tree get_pending_sizes		PROTO((void));
+ extern void put_pending_sizes		PROTO((tree));
  
  /* Type for sizes of data-type.  */
